Bug 432632 - Quickly closing empty file tab with middle click creates new empty files
Summary: Quickly closing empty file tab with middle click creates new empty files
Status: RESOLVED FIXED
Alias: None
Product: kate
Classification: Applications
Component: general (show other bugs)
Version: 20.12.1
Platform: OpenSUSE Linux
: NOR normal (vote)
Target Milestone: ---
Assignee: KWrite Developers
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2021-02-08 09:13 UTC by Felipe Kinoshita
Modified: 2021-02-09 14:28 UTC (History)
1 user (show)

See Also:
Latest Commit:
Version Fixed In: 21.04


Attachments
video showing observed result (465.22 KB, video/x-matroska)
2021-02-08 09:13 UTC, Felipe Kinoshita
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Felipe Kinoshita 2021-02-08 09:13:22 UTC
Created attachment 135500 [details]
video showing observed result

If i keep middle clicking on the an empty file tab it'll keep making new empty files.

STEPS TO REPRODUCE
1. Middle click several times on an empty file tab 

OBSERVED RESULT
Kate creates more empty files

EXPECTED RESULT
Kate should not create more empty files

Linux/KDE Plasma: openSUSE Tumbleweed
KDE Plasma Version: 5.20.5
KDE Frameworks Version: 5.78.0
Qt Version: 5.15.2
Comment 1 Bug Janitor Service 2021-02-09 05:58:56 UTC
A possibly relevant merge request was started @ https://invent.kde.org/utilities/kate/-/merge_requests/233
Comment 2 Jan Paul Batrina 2021-02-09 10:27:58 UTC
Git commit d43bfa6f3e5a4a008c0acd7368cd4695b04c7b95 by Jan Paul Batrina.
Committed on 09/02/2021 at 10:21.
Pushed by cullmann into branch 'master'.

Only create new tabs for double clicks with the primary button

M  +1    -1    kate/katetabbar.cpp

https://invent.kde.org/utilities/kate/commit/d43bfa6f3e5a4a008c0acd7368cd4695b04c7b95